﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */
/*
    rss
*/
@media screen and (max-width: 1366px) {
  .navbar .navbar-brand::before {
    display: none;
  }
}
@media (min-width: 992px) {
  .navbar-expand-lg .navbar-toggler {
    display: none;
  }
}
html, body {
  height: 100%;
  margin: 0;
  padding: 0;
}

#main {
  height: 100%;
  margin: 0;
  padding: 0;
}

.container-fluid {
  position: absolute;
  top: 54px;
  margin: 0;
  padding: 20px;
}

.container-fixed {
  top: 54px;
  margin: 0;
  padding: 20px;
}

body.no-nav {
  padding-top: 0;
}

li.hidden {
  display: none;
}

.rss-page-slim {
  max-width: 360px;
  margin-left: auto;
  margin-right: auto;
}

.sign-in-sign-out h1 {
  display: inline-block;
  color: #004593;
  font-weight: 500;
  margin-top: 0;
  margin-bottom: 0;
}

.sign-in-sign-out footer {
  font-size: 12px;
}

.sign-in-sign-out .phi-warning {
  font-weight: bold;
}

.sign-in-sign-out p {
  color: gray;
  line-height: normal;
}

.sign-in-sign-out .phi-warning h5 {
  margin-bottom: 8px;
  color: #c97818;
  text-align: center;
  font-size: 14px;
}

.sign-in-sign-out header {
  text-align: center;
  margin-bottom: 32px;
  margin-top: 32px;
}

/* end rss */
a.navbar-brand {
  white-space: normal;
  text-align: center;
  word-break: break-all;
}

.navbar-default {
  background-color: #004593;
  border-color: #003572;
}

.sign-in-sign-out .bd-sign-in-logo {
  vertical-align: bottom;
  margin-right: 10px;
  margin-bottom: -2px;
}

.bd-sign-in-logo-img-add-on {
  max-width: 94px;
  margin-right: 0 !important;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  font-size: 14px;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}
.border-top {
  border-top: 1px solid #e5e5e5;
}

.border-bottom {
  border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
  box-shadow: 0 0.25rem 0.75rem rgba(0, 0, 0, 0.05);
}

button.accept-policy {
  font-size: 1rem;
  line-height: inherit;
}

.navbar-light .navbar-brand {
  color: white;
  font-weight: bold;
}

.navbar-light .navbar-brand:hover, .navbar-light .navbar-brand:focus {
  color: #adb5bd;
}

a.text-dark:hover, a.text-dark:focus {
  color: #6c757d !important;
}

label.view-data {
  padding-top: 0;
}

/* Sticky footer styles
-------------------------------------------------- */
.footer {
  position: absolute;
  bottom: 0;
  width: 100%;
  white-space: nowrap;
  /*Set the fixed height of the footer here*/
  height: 60px;
  line-height: 60px; /*Vertically center the text there*/
}

.btn-primary, .btn-group.bd-btn-group .btn-primary, .input-group-addon.bd-search-btn {
  color: #FFFFFF;
  background-color: #004593;
  border: none;
}

.disabled.btn-primary, .btn-group.bd-btn-group .disabled.btn-primary, .disabled.input-group-addon.bd-search-btn, .btn-primary:disabled, .btn-group.bd-btn-group .btn-primary:disabled, .input-group-addon.bd-search-btn:disabled {
  background-color: #E5E5E5;
  color: #B3B3B3;
}

.disabled.btn-primary:hover, .disabled.input-group-addon.bd-search-btn:hover, .btn-primary:disabled:hover, .input-group-addon.bd-search-btn:disabled:hover {
  background-color: #E5E5E5;
  color: #B3B3B3;
}

.btn-primary:hover, .btn-group.bd-btn-group .btn-primary:hover, .input-group-addon.bd-search-btn:hover {
  background-color: #315DAF;
  color: #FFFFFF;
}

.btn-primary:focus, .btn-group.bd-btn-group .btn-primary:focus, .input-group-addon.bd-search-btn:focus {
  background-color: #003884;
  color: #FFFFFF;
  outline: none;
  box-shadow: none;
}

.btn-primary:active, .btn-group.bd-btn-group .btn-primary:active, .input-group-addon.bd-search-btn:active, .active.btn-primary, .btn-group.bd-btn-group .active.btn-primary, .active.input-group-addon.bd-search-btn {
  background-color: #003884;
  color: #FFFFFF;
}

.btn-secondary {
  color: #004593;
  background-color: #FFFFFF;
  border: 2px solid #004593;
  padding-bottom: 4px;
}

.btn-secondary:disabled, .disabled.btn-secondary {
  padding: 8px 10px 7px 10px;
  background: #E5E5E5;
  border: none;
  border-radius: 4px;
  color: #B3B3B3;
}

.btn-secondary:disabled:hover, .disabled.btn-secondary:hover {
  background: #E5E5E5;
  border: none;
  border-radius: 4px;
  color: #B3B3B3;
}

.btn-secondary:hover {
  background-color: #315DAF;
  color: #FFFFFF;
  border-color: #315DAF;
  cursor: pointer;
}

.btn-secondary:focus {
  background-color: #003884;
  color: #FFFFFF;
}

.btn-secondary:active, .active.btn-secondary {
  background-color: #003884 !important;
  border-color: #003884 !important;
  color: #FFFFFF !important;
}

.btn-secondary:not(first-of-type):not([data-dismiss=modal]) {
  border-right: none;
}

.btn-secondary:not(first-of-type):hover {
  background-color: #315DAF;
  color: #FFFFFF;
  border-color: #315DAF;
}

.btn-secondary:last-of-type {
  border-right: 2px solid;
}

.btn-secondary:last-of-type:disabled {
  border: none;
}

a.btn-tertiary {
  border: none;
  background-color: #FAFAFA;
  color: #004593 !important;
  padding: 7px 20px;
  outline: 0 !important;
}
a.btn-tertiary:hover {
  cursor: pointer;
  background-color: #EAEFF7;
  color: #004593 !important;
}
a.btn-tertiary:active {
  background-color: #004593;
  color: #ffffff !important;
}

section.modal-main {
  padding: 0px 15px;
  display: flex;
}

section.modal-message {
  padding: 0px 15px;
}

div#toast-container {
  position: fixed;
  top: 11%;
  right: 1%;
  z-index: 3;
  width: 20%;
  display: flex;
  flex-direction: row-reverse;
  flex-wrap: wrap;
}
div#toast-container .toast-header, div#toast-container .toast-body {
  word-spacing: 1.5px;
  padding: 1em 2em;
}

/*#region 
    ~filters to be used over black backgrounds as needed; esp. useful for images (.svg etc.) that will not take a css color */
.filter-alert-success {
  filter: invert(68%) sepia(87%) saturate(5058%) hue-rotate(59deg) brightness(95%) contrast(101%);
  padding-bottom: 17px;
  margin-right: 0.4em;
}

.filter-warning {
  filter: invert(63%) sepia(58%) saturate(2607%) hue-rotate(1deg) brightness(80%) contrast(103%);
  padding-bottom: 17px;
  margin-right: 0.4em;
}

.filter-alert-warning {
  filter: invert(70%) sepia(31%) saturate(5629%) hue-rotate(348deg) brightness(105%) contrast(94%);
  padding-bottom: 17px;
  margin-right: 0.4em;
}

.filter-alert-danger {
  filter: invert(11%) sepia(80%) saturate(5243%) hue-rotate(346deg) brightness(101%) contrast(111%);
  padding-bottom: 17px;
  margin-right: 0.4em;
}

.filter-alert-info {
  filter: invert(33%) sepia(42%) saturate(2031%) hue-rotate(194deg) brightness(85%) contrast(82%);
  padding-bottom: 17px;
  margin-right: 0.4em;
}

/*#endregion*/
.bdra-bg-info {
  background-color: #009BFF;
}

.bdra-bg-warning {
  background-color: #F7931E;
}

.bdra-bg-danger {
  background-color: #D10018;
}

.bdra-bg-success {
  background-color: #4CA000;
}

.modal-footer.modal-actions {
  padding-bottom: 5px;
}

img.modal-icon {
  width: 5%;
}

.logo-img {
  width: 50px;
  height: auto;
}

.height-50 {
  height: 50px;
}

.height-20 {
  height: 20px;
}

.pad-left-0 {
  padding-left: 0;
}

.pad-right-10 {
  padding-right: 10px;
}

.margin-top-15 {
  margin-top: 15px;
}

.margin-top-10 {
  margin-top: 10px;
}

.pad-right-30 {
  padding-right: 30px;
}

/*Grids*/
div#grid-title-wrapper {
  flex-direction: column;
  padding-left: 2em;
}

.deviceGrid {
  height: calc(100% - 100px);
  width: 100%;
}

.user-grid {
  height: calc(100% - 100px);
  width: 100%;
  margin-top: 10px;
}

.product-group-grid,
.facility-grid {
  width: 100%;
  margin-top: 10px;
}

.product-group-container {
  height: 350px;
  overflow-y: scroll;
}

.user-search {
  min-width: 250px;
}

.bd-nav-notification {
  color: #F7931E;
  font-size: 0.875rem;
  line-height: 1.5rem;
}
.bd-nav-notification:before {
  content: "\e9f8";
  font-family: "Unified_Icons";
  margin-right: 7px;
}

.bd-sign-in-sign-out-alert {
  text-align: center !important;
}
.bd-sign-in-sign-out-alert:before {
  content: "\e97d";
  font-family: "Unified_Icons";
  margin-right: 7px;
}

.ag-theme-material { /* Room for no records message*/
  min-height: 100px !important;
}
.ag-theme-material .ag-body-viewport {
  min-height: 100px !important;
}

/*ag-grid overrides*/
button.ag-paging-button {
  position: relative;
  left: -20px;
}

/*Pie Chart*/
@property --p {
  syntax: "<number>";
  inherits: true;
  initial-value: 1;
}
@property --p {
  syntax: "<number>";
  inherits: true;
  initial-value: 1;
}
.pie {
  --b: 22px;
  --c: rgba(141, 42, 143, 1);
  --w: 150px;
  width: var(--w);
  aspect-ratio: 1;
  position: relative;
  display: inline-grid;
  margin: 5px;
  place-content: center;
  font-size: 25px;
  font-weight: bold;
  font-family: sans-serif;
}

.pie:before,
.pie:after {
  content: "";
  position: absolute;
  border-radius: 50%;
}

.pie:before {
  inset: 0;
  background: radial-gradient(farthest-side, var(--c) 98%, rgba(0, 0, 0, 0)) top/var(--b) var(--b) no-repeat, conic-gradient(var(--c) calc(var(--p) * 1%), rgba(0, 0, 0, 0) 0);
  -webkit-mask: radial-gradient(farthest-side, rgba(0, 0, 0, 0) calc(99% - var(--b)), #000 calc(100% - var(--b)));
  mask: radial-gradient(farthest-side, rgba(0, 0, 0, 0) calc(99% - var(--b)), #000 calc(100% - var(--b)));
}

.pie:after {
  inset: calc(50% - var(--b) / 2);
  background: var(--c);
  transform: rotate(calc(var(--p) * 3.6deg)) translateY(calc(50% - var(--w) / 2));
}

.animate {
  animation: p 1s 0.5s both;
}

.no-round:before {
  background-size: 0 0, auto;
}

.no-round:after {
  content: none;
}

@keyframes p {
  from {
    --p: 0 ;
  }
}
#pc-facilities-label {
  padding-top: 6px;
}

#patch-compliance-button-group {
  min-height: fit-content;
}

#patch-compliance-charts {
  display: flex;
  flex-wrap: nowrap;
}

#WSUS-charts-wrapper, #antivirus-charts-wrapper {
  display: flex;
  flex-basis: 50%;
  margin-bottom: 2em;
}

.missingPatchLabel .ag-header-cell-label .ag-header-cell-text {
  white-space: pre-line;
}

[col-id=antivirusComplianceCompliant],
[col-id=wsusCompliant] {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0px !important;
}
[col-id=antivirusComplianceCompliant] .ag-header-cell-label,
[col-id=wsusCompliant] .ag-header-cell-label {
  justify-content: center;
}

.WSUSCompliantLabel .ag-header-cell-label .ag-header-cell-text {
  border-width: 0px;
  top: 0px;
  width: 100px;
  height: auto;
  background: inherit;
  background-color: rgb(141, 42, 143);
  border: none;
  border-radius: 5px;
  -moz-box-shadow: none;
  -webkit-box-shadow: none;
  box-shadow: none;
  font-family: "Roboto-Medium", "Roboto Medium", "Roboto", sans-serif;
  font-weight: 500;
  font-style: normal;
  font-size: 15px;
  color: white;
  text-align: center;
  white-space: pre-line;
  padding: 2px;
}

#ChartType1_div, #ChartType2_div {
  border-width: 0px;
  position: relative;
  left: 15px;
  top: 0px;
  width: 88px;
  height: auto;
  background: inherit;
  background-color: var(--c);
  border: none;
  border-radius: 5px;
  font-family: "Roboto-Medium", "Roboto Medium", "Roboto", sans-serif;
  font-weight: 500;
  font-style: normal;
  font-size: 15px;
  color: #FFFFFF;
  margin: 15px;
  text-align: center;
}

@media screen and (max-width: 1075px) {
  #pc-facilities-label {
    max-width: 100%;
  }
  #patch-compliance-button-group {
    margin-top: 2em;
  }
}
@media screen and (max-width: 1202px) {
  #patch-compliance-charts.row {
    flex-wrap: wrap;
  }
  #WSUS-charts-wrapper, #antivirus-charts-wrapper {
    flex-basis: 100%;
    justify-content: space-around;
  }
  #PieChart1_div, #PieChart2_div {
    display: flex;
    flex-direction: column;
  }
  #PieChart1_div .pie, #PieChart2_div .pie {
    display: grid;
    margin: auto;
  }
  #ChartType1_div, #ChartType2_div {
    position: revert;
    margin: auto;
  }
  .pc-pie-chart-wrapper {
    flex-basis: 33%;
    margin: 2em;
  }
  .pc-line-chart-wrapper {
    flex-basis: 66%;
    max-height: 20em;
  }
  canvas.pc-line-chart {
    display: block !important;
    max-height: 100% !important;
    max-width: 67% !important;
  }
}
#compliance-grid .ag-pinned-left-cols-container, .ag-pinned-right-cols-container {
  background-color: #FAFAFA;
}

#compliance-grid .ag-body-viewport {
  border-right: 1px solid #EEEEEE;
}

#compliance-grid {
  min-width: 65em;
}
#compliance-grid span[class^=deviceStatus] {
  display: inline-block;
  margin-top: 10px;
  margin-left: 6px;
  height: 1.6em;
  width: 1.6em;
  border-radius: 50%;
}
#compliance-grid span[class^=deviceStatus][class$=Online] {
  background: green;
}
#compliance-grid span[class^=deviceStatus][class$=Offline] {
  background: rgba(211, 211, 211, 0.6705882353);
}

.AVCompliantLabel .ag-header-cell-label .ag-header-cell-text {
  border-width: 0px;
  top: 0px;
  width: 100px;
  height: auto;
  background: inherit;
  background-color: rgb(19, 171, 255);
  border: none;
  border-radius: 5px;
  -moz-box-shadow: none;
  -webkit-box-shadow: none;
  box-shadow: none;
  font-family: "Roboto-Medium", "Roboto Medium", "Roboto", sans-serif;
  font-weight: 500;
  font-style: normal;
  font-size: 15px;
  color: #FFFFFF;
  text-align: center;
  white-space: normal;
  padding: 2px;
}

#PieChart1_div, #PieChart2_div, #LineChartDiv1, #LineChartDiv2 {
  display: none;
}

#DevicesInfo1_div, #DevicesInfo2_div {
  text-align: center;
  margin-top: 1em;
}

#DevicesNumber1, #DevicesNumber2 {
  font-family: "Roboto-Bold", "Roboto Bold", "Roboto", sans-serif;
  font-weight: 700 !important;
  font-size: 22px !important;
  margin-bottom: 0;
  color: var(--c);
}

#DevicesDescription1, #DevicesDescription2 {
  font-family: "Roboto-Medium", "Roboto Medium", "Roboto", sans-serif;
  font-weight: 700 !important;
}

#oOcOVWSUS, #oOcOVAV, #uCOVWSUS, #uCOVAV {
  height: 20px;
  width: 35px;
  background-color: rgb(215, 215, 215);
  display: flex;
  justify-content: center;
  align-items: center;
  color: rgb(141, 42, 143);
  font-weight: bold;
  margin-bottom: 5px;
  font-size: 12px;
  border-radius: 5px;
}

#pROV, #offOV, #allOV {
  height: 35px;
  width: 35px;
  background-color: rgb(215, 215, 215);
  display: flex;
  justify-content: center;
  align-items: center;
  color: rgb(0, 69, 147);
  font-weight: bold;
  font-size: 12px;
  border-radius: 5px;
}

#navCompliant {
  border: 3px solid rgb(0, 69, 147);
  border-radius: 10px;
  /*overflow: auto;*/
}
#navCompliant .active {
  background-color: #004593;
}

.bootstrap-select {
    width: 1100px !important;
}

/* Add New User*/
.outer-padding {
  padding: 0 25px 0 25px;
}

.margin-top-15 {
  padding: 0 25px 0 25px;
}

div.margin-top-15 .col-md-3:nth-of-type(2), div.margin-top-15 .col-md-3:nth-of-type(3), div.margin-top-15 .col-md-3:nth-of-type(4) {
  padding-top: 1.8rem;
}

#dvSearchUser .col-md-3:nth-of-type(1) {
  font-size: 14px;
}

.user-role {
    background-color: rgb(242, 242, 242);
    padding: 17px 25px 0px 25px;
    margin-right: -2px;
    margin-left: -3px;
    height: 86px;
}

.user-role .col-md-3 {
  font-size: 14px;
}

.roles-option {
  padding: 0 25px 0 25px;
  background-color: rgb(242, 242, 242);
  margin-right: -2px;
  margin-left: -3px;
}

.roles-option .col-md-2, .user-role .col-md-2 {
  left: 10px;
}

div .roles-option label {
  color: #333333;
  font-size: 14px;
  font-weight: 400;
  font-style: normal;
}

.roles-option .col-md-3 {
  float: left;
}

.roles-option .col-md-3 input[type=checkbox] {
  float: left;
  margin-right: 5px;
  margin-top: 0.2rem;
}

#dvLandingPage {
  height: 55px;
  display: block;
  line-height: 3rem;
  border-bottom: 2px inset #d7d7d7;
  margin-bottom: 20px;
}

#dvLandingPage .col-md-2 {
  font-size: 15px;
}

#dvLandingPage .col-md-2, #dvLandingPage .col-md-3 {
  float: left;
}

#dvLandingPage .col-md-3 label {
  font-size: 14px;
  font-weight: 400;
}

.navbar-tab {
  font-size: 14px;
  border-left: 1px solid;
  padding: 10px 8px 11px 12px;
  height: 51px;
  line-height: 40px;
}

.navbar-tab:hover {
  cursor: pointer;
  background-color: #312baf;
}

#loading {
  position: fixed;
  display: block;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  text-align: center;
  opacity: 0.7;
  background-color: #fff;
  z-index: 9999;
}

#loading-image {
  height: 161px;
  width: 178px;
  margin-top: 185px;
}

/* #region UXD Loader */
.loader-ring {
  margin-top: -6px;
  margin-bottom: -2px;
  margin-right: 10px;
  width: 24px;
  height: 24px;
  border-left: 4px solid #E5E5E5;
  border-right: 4px solid #E5E5E5;
  border-bottom: 4px solid #E5E5E5;
  border-top: 4px solid #808080;
  border-radius: 50%;
  vertical-align: middle;
  -webkit-animation: 2s linear infinite spin;
  -moz-animation: 2s linear infinite spin;
  animation: 2s linear infinite spin;
  display: inline-block;
}
.loader-ring#graphSpinner {
  display: none;
  margin: 15px 15px 15px 15px;
}
.loader-ring#gridSpinner {
  display: none;
  margin: 0px 0px 0px 35px;
  text-align: center;
}

button .loader-ring {
  margin-bottom: -3px;
  margin-left: 12px;
  margin-right: 0px;
}
button .loader-ring.tab-metric-loader-ring {
  display: none;
}

/* #endregion */
.btn-sm {
  font-size: 0.72rem;
}

sidenav {
  height: 100%;
  width: 0;
  position: fixed;
  z-index: 1;
  top: 0;
  left: 0;
  background-color: #111;
  overflow-x: hidden;
  transition: 0.5s;
  padding-top: 60px;
}

.sidenav ul {
  text-decoration: none;
  font-size: 25px;
  color: #818181;
  display: block;
  transition: 0.3s;
  margin-left: -11px;
}

.sidenav ul:hover {
  color: #f1f1f1;
}

.sidenav .closebtn {
  position: absolute;
  top: 0;
  right: 25px;
  font-size: 36px;
  margin-left: 50px;
}

#main {
  transition: margin-left 0.5s;
  padding: 13px;
  color: #ffffff;
  cursor: pointer;
}

.sidenav-nav {
  width: 100%;
  height: auto;
  padding: 3px 1px 3px 0px !important;
}

.sidenav-item {
  list-style: none;
  margin-bottom: 3px;
  height: 32px;
  line-height: 1.8rem;
  white-space: nowrap;
  /*overflow: auto;*/
  /*  overflow: hidden;
  text-overflow: ellipsis;*/
}

.sidenav-item-selected, .sidenav-item:hover {
  background-color: #E3F2FC;
  min-width: 15em;
}

.sidenav img {
  content: url("https://d1icd6shlvmxi6.cloudfront.net/gsc/LSFGXU/87/f5/3c/87f53c87e3774c2f96c2e518509a521d/plugins/sitemap/styles/images/page_lt_grey.svg?pageId=c40d836a-c809-4c18-b630-a654e58f1879");
  width: 13px;
  height: 16px;
  padding-left: 2px;
  margin-bottom: 3px;
}

.sidenav-item a {
  font-size: 14px !important;
  line-height: 2;
  color: #37465e !important;
  padding: 5px;
}

@media screen and (max-height: 450px) {
  .sidenav {
    /* padding-top: 15px;*/
  }
  .sidenav a {
    font-size: 18px;
  }
}
#pageContent {
  min-height: 466px;
}

#leftMenu {
  border-right: 1px solid #c8c4c4;
  padding-right: 0px;
  min-height: 87vh;
  /*  overflow: auto;*/
}

/*override of this class not compatible with bootstrap dropdown*/
/*.bootstrap-select .dropdown-menu {
    max-height: 500px !important;
    width: inherit;
}*/
#addUserPartial {
  margin-bottom: 5rem;
}

.img-offline {
  border-width: 0px;
  position: absolute;
  left: 0px;
  top: 0px;
  width: 24px;
  height: 22px;
  margin-left: 40%;
}

#graphPanel {
  border-width: 0px;
  left: 0px;
  top: 0px;
  background: inherit;
  background-color: rgb(255, 255, 255);
  box-sizing: border-box;
  border-width: 1px;
  border-style: solid;
  border-color: rgb(206, 206, 206);
  border-radius: 5px;
  -moz-box-shadow: 3px 3px 3px rgba(0, 0, 0, 0.3490196078);
  -webkit-box-shadow: 3px 3px 3px rgba(0, 0, 0, 0.35);
  box-shadow: 3px 3px 3px rgba(0, 0, 0, 0.35);
  margin: 15px 0px 15px 0px;
  min-width: fit-content;
  justify-content: left;
  padding-top: 2em;
}

#graphContainer {
  margin-left: 2em;
}

/* This page has a custom container height to auto-size grid */
.container {
  padding-left: 0 !important;
  margin-left: 0 !important;
  padding-right: 0 !important;
  max-width: 100% !important;
}

/* Need this so the menu aligns properly vertically when < lg'*/
.navbar {
  height: 52px;
}

/* So the button fits in the toolbar */
.navbar.navbar-dark .navbar-toggler {
  padding: 11px;
}

/* So we can add a copyright next to their logo */
.navbar .navbar-brand img {
  margin-right: 0;
}

#ddlFacilitiesContainer {
  height: 80px;
}

#loader {
  border: 12px solid #f3f3f3;
  border-radius: 50%;
  border-top: 12px solid #444444;
  width: 70px;
  height: 70px;
  animation: spin 1s linear infinite;
  visibility: hidden;
}

.overlay {
  display: none;
  position: fixed;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  z-index: 999;
  background: rgba(255, 255, 255, 0.8) center no-repeat;
}

/* Turn off scrollbar when body element has the loading class */
body.loading {
  overflow: hidden;
}

/* Make spinner image visible when body element has the loading class */
body.loading .overlay {
  display: block;
}

.center {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  margin: auto;
}

.page-content {
  display: inline-block;
  padding-bottom: 15px;
  padding-top: 15px;
  padding-right: 15px;
}

/* Device drill down page*/
.time-Info {
  margin-top: 1%;
  font-size: 12px;
}

.time-value {
  font-weight: bold;
}

#dvInfo_text span {
  font-family: "Roboto Bold", "Roboto", "Roboto", sans-serif;
  font-weight: 700;
  font-size: 20px;
}

#dvInfo_text a {
  color: #333333;
}

#dvDetail .text div label {
  width: 100%;
}

#dvDetail_text label {
  font-family: "Roboto-Bold", "Roboto Bold", "Roboto", sans-serif;
  font-weight: 700;
  font-style: normal;
  font-size: 14px;
  color: #242424;
  text-align: left;
  line-height: normal;
}

#dvDetail_text label:nth-child(2) {
  font-family: "Roboto-Regular", "Roboto", sans-serif;
  font-weight: 400;
  font-style: normal;
  font-size: 14px;
  color: #242424;
  text-align: left;
  line-height: normal;
  margin-left: 2px;
}

.wsus-av .label {
  padding: 0.2em 0.6em 0.3em;
  white-space: nowrap;
  vertical-align: baseline;
  border-radius: 0.25em;
  width: 28% !important;
  float: left;
  text-align: center !important;
  font-weight: bold !important;
}

.wsus-av .label-danger {
  background-color: #d10018;
}

.wsus-av .label-default {
  background-color: #b3b3b3;
}

.wsus-av .label-success {
  background-color: #4ca000;
}

.wsus-av .label-status {
  display: inline-block;
  width: 70px;
  color: #fff !important;
  padding: 2px;
}

#spanStatusWsus {
  margin-left: 0px;
}

#spanStatusAV {
  margin-left: 15px;
}

#dvInfo_text span[class^=deviceStatus] {
  display: inline-block;
  margin-left: 4px;
  height: 19px;
  width: 65px;
  border-radius: 4%;
  text-align: center;
  font-size: 13px;
  vertical-align: top;
  font-family: "Arial-BoldMT", "Arial", "Arial", sans-serif;
  line-height: 1.2rem;
}

#dvInfo_text span[class^=deviceStatus][class$=Online] {
  background: #4ca000;
  color: #FFFFFF;
}

#dvInfo_text span[class^=deviceStatus][class$=Offline] {
  background: #d10018;
  color: #FFFFFF;
}

.breadcrumb {
  background-color: #f2f2f2;
}

#dvDetail_text .rebootRequired {
  text-align: center !important;
  width: 60% !important;
  vertical-align: middle;
  border-radius: 3px;
  padding: 2px;
  color: white !important;
  font-weight: bold !important;
}

/*End device drill down page*/
/* Device Health tab*/
.info {
  background-color: #f7f7f7;
  border: 1px solid #ccc4c4;
  border-radius: 3px;
  line-height: 2rem;
  font-size: 14px;
}

.dialog-label {
  line-height: 2rem;
}

.info label {
  font-weight: 400;
}

.modal-header .fa {
  color: #004593;
  font-size: 1em !important;
  float: left;
}

.modal-title {
  line-height: 1.5rem;
  float: left;
  padding-left: 6px;
}

.row {
  margin-bottom: 10px;
}

.modal-body label {
  font-size: 13px;
}

.close {
  color: #333333 !important;
  font-weight: 100 !important;
  font-size: 22px !important;
  cursor: pointer;
}

#MetricGrid .fa-info-circle:hover {
  color: black;
}

.div-Seperator {
  border: 1px solid lightgray;
  width: 90%;
  margin: 30px auto;
}

.no-border {
  border: none !important;
}

.no-border h3 {
  font-weight: 700 !important;
}

.popup-txt {
    margin-left: 8%;
    font-size: 11px;
}


#ValidationMessage.error {
    color: red;
    left: 378px;
    top: -10px;
    position: relative;
    font-size: 15px;
    display:block !important;
}
.after-Validation {
    border-color: #DD2C00;
    margin-bottom: -1.2rem !important;
}


/* End of Device Health tab*/
/*End device drill down page*/


.sidenav-nested-list {
    height: 100%;
    width: 0;
    position: fixed;
    z-index: 1;
    top: 0;
    left: 0;
    background-color: #111;
    overflow-x: hidden;
    transition: 0.5s;
    padding-top: 60px;
    text-decoration: none;
    font-size: 25px;
    color: #818181;
    display: block;
    transition: 0.3s;
    margin-left: -11px;
}
.ReviewPendingAccessToggle
{
    padding-left:30px !important;
}


.dropdown-toggle {
    cursor: pointer;
    padding:5px!important;
}

.Sidebar-dropdown-menu {
    display: none !important; /*hide the menu*/
    /*this style are just to position the menu*/    
    top: 100%;
    left: 0;
    border-radius: 0px;
    border: 0px;
}

.open .Sidebar-dropdown-menu,
.open-large .Sidebar-dropdown-menu {
    display: block !important; /*show the menu when its parent has class "open"*/
    margin-left: 10px;
    margin-top: 5px;
}
.navbar-dropdown-menu {
    display: none !important; /*hide the menu*/
    /*this style are just to position the menu*/
    top: 100%;
    left: 0;
    border-radius: 0px;
    border: 0px;
}

.open .navbar-dropdown-menu-dropdown-menu {
    display: block !important; /*show the menu when its parent has class "open"*/
    margin-left: 10px;
    margin-top: 5px;
}

a.nav-item {
    padding: 10px;
    text-decoration: none;
    cursor: pointer;
}
.export-button {
    position: absolute;
    right:93%;
    float: right;
    color: #FFFFFF;
    background-color: #004593;
    border: none;
    padding: 0.25rem 0.9rem;
    font-size: 0.700rem;
    line-height: 2;
    border-radius: 0.2rem;
    padding-right: 20px;
}

.cancel-button {
    margin-left: -20px;
}

.error-deny-button {
    margin-left: 100px;
}
.hidden {
    display: none;
}
.user-role-div {
   border-bottom: 1px solid rgb(215, 215, 215);
}

.dropdown.open {
    margin-bottom: 40px;
}

.dropdown.open-large {
    margin-bottom: 187px;
}

#RemoteAccessSessionAuditReportGridbuttons {
    display: none;
}
#BlacklistedUpdatesReportGridbuttons {
    display: none;
}
#WhitelistedUpdatesReportGridbuttons {
    display: none;
}

@media only screen and (max-width: 1075px) {
    #generateReportButton {
        margin-left: 1px;
        padding: 8px;
    }
    .col-md-12 .wl-select .bootstrap-select:not([class*="col-"]):not([class*="form-control"]):not(.input-group-btn) {
        width: 600px !important;
        margin-left: 10px;
    }
    .col-md-12 .bl-select .bootstrap-select:not([class*="col-"]):not([class*="form-control"]):not(.input-group-btn) {
        width: 600px !important;
        margin-left: 10px;
    }
    .export-button {
        position: absolute;
        right: 90%;
    } 
}

@media only screen and (min-width: 768px)
{
    #generateReportButton {
        margin-left: 1px;
        padding: 8px;
    }

    .wl-select .bootstrap-select:not([class*="col-"]):not([class*="form-control"]):not(.input-group-btn) {
        width: 700px!important;
        margin-left: 10px;
    }
    .bl-select .bootstrap-select:not([class*="col-"]):not([class*="form-control"]):not(.input-group-btn) {
        width: 700px !important;
        margin-left: 10px;
    }

    .row .user-col-md-3 .col-md-3 {
        max-width: 20% !important;
    }
}

@media (resolution: 1.25dppx) {
    .col-md-2 #generateReportButton {
        margin-left: 30px;
        padding: 8px;
    }
    .row .col-md-12 .wl-select .bootstrap-select:not([class*="col-"]):not([class*="form-control"]):not(.input-group-btn) {
        width: 900px !important;
        margin-left: 10px;
    }
    .row .col-md-12 .bl-select .bootstrap-select:not([class*="col-"]):not([class*="form-control"]):not(.input-group-btn) {
        width: 900px !important;
        margin-left: 10px;
    }

    .container-fluid .row .leftmenu {
        flex: 17%;
        max-width: 17%;
    }

    .container-fluid .row .pagecontent {
        flex: 83%;
        max-width: 83%;
    }


    .col-md-12 {
        flex: 0 0 100% !important;
        max-width: 100% !important;
    }
}

@media only screen and (resolution: 1.5dppx) {

    .container-fluid .row .leftmenu {
        flex: 18%;
        max-width: 18%;
    }

    .container-fluid .row .pagecontent {
        flex: 82%;
        max-width: 82%;
    }

    .col-md-12 {
        flex: 0 0 100% !important;
        max-width: 100% !important;
    }

    .open .Sidebar-dropdown-menu,
    .open-large .Sidebar-dropdown-menu {
        margin-left: 2px;
    }

    a.navbar-brand {
        white-space: nowrap;
    }

    .d-sm-inline-block {
        display: inline !important;
    }
}

.containerrow {
    display: flex;
    flex-wrap: nowrap;
}
.word-wrap-all {
    overflow-wrap: break-word;
    white-space: normal;
    text-overflow: unset;
    line-height:15px!important;
    font-size:12px;
}
.BomgarToolTip .ag-tooltip {
    background-color: white !important;
    color: black !important;
    padding: 5px;
}
#bomgarFileTransfers-sub-title {
    font-weight: 400;
    line-height: 1;
    font-size: 16px;
    color: grey;
}
.nav-item .dropdown .sidenav-item-selected {
    background-color: #004593 !important;
}
li.nav-item.dropdown.sidenav-item-selected {
    background-color: #004593 !important;
    min-width: 15em;
}
li.nav-item.dropdown.sidenav-item-selected.show {
    background-color: #004593 !important;
    min-width: 15em;
}
#btnSaveUsersettings {
    margin-top: 10px;
}
.nav-link.dropdown-toggle.text-light {
    padding: 10px !important;
}
li.nav-item.dropdown.sidenav-item-selected, .sidenav-item:hover {
    background-color: #E3F2FC;
    min-width: 0em !important;
}
.toast-success {
    background-color: #FFFFFF !important;
    border-color: #808080 !important;
    border-left: #4CA000 4px solid !important;
    color:black!important;
}
.toast-error {
    background-color: #FFFFFF !important;
    border-color: #808080 !important;
    border-left: #D10018 4px solid !important;
    color: black !important;
}
.hidden-xs
{
    display:none!important;
}
.select-unselect-all {
    font-size: 12px; 
    border: 1px solid #ccc; 
    color: #333; 
    background-color: #f8f9fa; 
    padding: 4px 8px; 
    border-radius: 4px; 
    cursor: pointer; 
    transition: background-color 0.3s ease;
}
.customerSettings-facilities-dropdown {
    width: 450px; 
    font-size: 14px; 
    padding: 6px 12px; 
    height: auto; 
    border: 1px solid #ccc;
    border-radius: 4px;
    background-color: #fff;
    white-space: nowrap; 
    overflow: hidden;
    text-overflow: ellipsis; 
}
.accessapprovaldiv
{
    margin-bottom:2rem;
}

#btnSaveCustomerettings {
    cursor: pointer;
    opacity: 1;
    transition: opacity 0.3s ease;
}
#btnSaveCustomerettings:disabled {
    cursor: not-allowed;
    opacity: 0.6;
    color: #FFFFFF;
    background-color: #004593;
    border: none;
}
#CustomerSettingsGrid {
    min-width: 0px !important;
}
#accessApprovalCheckbox:disabled {
    cursor: not-allowed;
    opacity: 0.6;
}

.custom-header-container .filter-icon {
    visibility: hidden;
    margin-left: 40px;
}

.custom-header-container:hover .filter-icon {
    visibility: visible;
}
.productgroup-toolTip:after {
    content: "\e97d";
    font-family: "Unified_Icons";
    margin-right: 7px;
    color: #495057;
    font-weight: 100;
    font-size: 14px;
}

.Product-group-note {
    margin-top: 25px;
    font-weight: 20 !important;
    color: red;
}
.approver-permission
{
    width:110%;
}
.Tooltip-note
{
    font-weight:bold;
}








